package fr.iut.valence.java.M2M;

public class Erreur {
	// Erreurs
	public final static int PSEUDO_DEJA_UTILISE = 1;
	public final static int RECEPTION_MESSAGE = 2;
	public static final int CONNEXION = 3;
	public static final int PSEUDO_INEXISTANT = 4;
	
	private String msg;
	private int id;
	
	/**
	 * Création d'une erreur
	 * @param id :  numéro de l'erreur
	 * @param message : message à afficher
	 */
	public Erreur(int id, String message)
	{
		this.id = id;
		this.msg = message;
	}

	public String getMessage() {
		return this.msg;
	}

	public int getId() {
		return this.id;
	}
}