package fr.iut.valence.java.M2M.client;

/**
 * Classe contenant les information principale sur le client
 * @author FAURE Adrien, GRAILLAT Amaury
 */
public class InfoClient
{
	private String pseudo;
	
	/**
	 * @author FAURE Adrien, GRAILLAT Amaury
	 * @param String pseudonyme
	 */
	public InfoClient(String p)
	{
		this.pseudo = p;
	}
	
	/**
	 * Renvoie la signature texte du Client
	 * @return pseudonyme
	 */
	public String toString()
	{
		return this.pseudo;
	}
	
	/**
	 * Renvoie le pseudo du client
	 * @return pseudonyme du client
	 */
	public String getPseudo()
	{
		return this.pseudo;
	}
	
	/**
	 * Renvoie le hash code du client
	 * @return le hash code
	 */
	public int hashCode()
	{
		return this.pseudo.hashCode();
	}
}
