/*
	M2M (c) 2011-2012, Graillat Amaury, Faure Adrien
	
	This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

package fr.iut.valence.java.M2M.serveur;

import java.net.InetSocketAddress;

import fr.iut.valence.java.M2M.SyntaxeV1;

public class ServeurIHM
{

	/**
	 * @param args
	 */
	public static void main(String[] args)
	{
		System.out.println("Lancement du serveur sur " + args[0]);
		InetSocketAddress serveurAdresse = new InetSocketAddress(Integer.parseInt(args[0]));
		
		SocketCommunicationServeur socket = new SocketCommunicationServeur(new SyntaxeV1(), serveurAdresse);
		new ApplicationServeur(socket);
		socket.start();
	}
}
